%define distversion %(grep -i "release ." -o /etc/redhat-release |cut -c 9 2> /dev/null)
%define is_ML3 %(if [ "%distversion" = "3" ]; then echo 1; else echo 0; fi)
%define is_ML4 %(if [ "%distversion" = "4" ]; then echo 1; else echo 0; fi)
%define is_ML5 %(if [ "%distversion" = "5" ]; then echo 1; else echo 0; fi)
%define is_ML6 %(if [ "%distversion" = "6" ]; then echo 1; else echo 0; fi)
%define is_ML7 %(if [ "%distversion" = "7" ]; then echo 1; else echo 0; fi)
%define mysqlver55 %(rpm -q mysql|cut -d '-' -f2|awk -F '.' '{print $1$2}'|grep 55 > /dev/null 2>&1 && echo 1 || echo 0)
%define is_amz %(grep -i "Amazon Linux AMI" /etc/system-release > /dev/null 2>&1 && echo 1 || echo 0)

%{!?is_mysql:%define is_mysql 1}
%{!?is_pgsql:%define is_pgsql 1}

%define dist ML%{?distversion}
%if %is_amz
%define dist %(grep -o '[0-9]*' /etc/system-release-cpe | tr -d '\\n' | awk '{print substr ($0, 3)}' | sed s/^/amz/)
%endif
%if %mysqlver55 && ! %is_amz
%define mysqlstr mysql55
%endif
%{?amzn1:%define is_ML6 1}

%define _default_patch_fuzz 2
###################################################################################
# COMMON HEADER START (DO NOT DELETE)
###################################################################################
%define src_release 1 
Name:           zabbix
Version:        2.0.20
Release:        %{src_release}.%{?dist}%{?mysqlstr}
Summary:        Open-source monitoring solution for your IT infrastructure
Group:          Applications/Internet
License:        GPL
URL:            http://www.miraclelinux.com/
###################################################################################
# COMMON HEADER END (DO NOT DELETE)
###################################################################################

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        zabbix-web.conf
Source2:        zabbix-server.init
Source3:        zabbix-agent.init
Source4:        zabbix-proxy.init
Source5:        zabbix-logrotate.in
Source6:        zabbix_agentd.conf
Source7:        zabbix_server.conf
Source8:        zabbix_proxy.conf
#Source9:        powered_by_miracle.png
Source10:       VLGothic-20100818.tar.bz2
Source11:       zabbix-java-gateway.init
Source12:       logo.png
Source13:       zabbix.png
Source14:       zabbix_bb.png
Source15:       zabbix_od.png
Source16:       welcome_screen-original-blue.png
#Source17:       zabbix-server.init.mysql55
Source18:       zabbix-agentd.service
Source19:       zabbix-java-gateway.service
Source20:       zabbix-server.service
Source21:       zabbix-proxy.service
Source22:       After-mysqld-service.conf
Source23:       After-postgresql-service.conf
Source24:       zabbix-tmpfs.conf
###################################################################################
# COMMON PATCH LIST START (DO NOT DELETE)
###################################################################################
Patch1:         zabbix-datasql.patch
#Patch2:         zabbix-2.0.2-powered_by_miracle.patch
Patch3:         zabbix-graph_font.patch
Patch4:         zabbix-setup_from_empty_conf.patch
Patch5:         zabbix-support_new_windows_eventlog_system.patch
Patch6:         zabbix-fix_for_aix61.patch
Patch7:         zabbix-windows_build.patch
Patch8:         zabbix-reload_config.patch
Patch9:         zabbix-fix_item_not_supported.patch
Patch10:        zabbix-fix_cflags.patch
#Patch11:        zabbix-2.0.3-fix_odbc_structure.patch
Patch12:        zabbix-add_event_filter.patch
Patch13:        zabbix-fix_java_gateway_pid.patch
#Patch14:        zabbix-2.0.7-show_history_in_event.patch
#Patch15:        zabbix-2.0.3-fix_sigbus_crash.patch
Patch16:        zabbix-fix_java_gateway_log.patch
#Patch17:        zabbix-2.0.4-fix_evaluate_STR_LOGEVENTID_memory_leak.patch
#Patch18:        zabbix-2.0.3-dnsapi.patch
#Patch19:        zabbix-2.0.10-hpux_compat.patch
Patch20:        zabbix-affect_snmp_timeout.patch
Patch21:        zabbix-evalfunc_nodata_for_lastclock_zero.patch
Patch22:        zabbix-fix_some_log.patch
#Patch23:        zabbix-2.0.7-proxy_transaction_num_check.patch
Patch24:        zabbix-ML-copyright-replacement.patch
Patch25:        zabbix-host-import.patch
Patch26:        zabbix-hpux_compat.patch
Patch27:        zabbix-long_telnet_command_fix.patch
Patch28:        zabbix-avoid_proxy_stopping.patch
#Patch29:        zabbix-2.0.12-fix_eventlog_message_logic.patch
Patch30:        zabbix-force_redirect_std.patch
Patch31:        zabbix-add_eventlog6_key.patch
#Patch32:        zabbix-2.0.8-fix_sql_injection_ZBX7091.patch
Patch33:        zabbix-add_graph_csv_output.patch
#Patch34:        zabbix-2.0.8-fix_updating_data_in_proxy_ZBX6929.patch
Patch35:        zabbix-add_csv_output_for_history.patch
#Patch36:        zabbix-2.0.10-fix_it_translation.patch
Patch37:        zabbix-add_macro_ITEM.VALUE.patch
Patch38:        zabbix-fix_event_show_history.patch
Patch39:        zabbix-windows-copyright.patch
Patch40:        zabbix-redirect_std_non_exit.patch
Patch41:        zabbix-add_opt_proxy_get_data_retries.patch
Patch42:        zabbix-fix_format_message_crash.patch
Patch43:        zabbix-add_eventlog_ext.patch
Patch44:        zabbix-fix_xml_import_secure.patch
Patch45:        zabbix-fix_eventlog_message_logic.patch
#Patch46:        zabbix-fix_command_injection.patch
Patch47:        zabbix-fix_sending_recovery_mail.patch
Patch48:        zabbix-leak_memory_on_incorrect_regex.patch
#Patch49:        zabbix-fix_missing_array_filter_keys_function.patch
Patch50:        zabbix-unsupport_long_item_key.patch
Patch51:        zabbix-support_tabulardatasupport_java_type.patch
Patch52:        zabbix-add-cpu_time-to-proc_info-on-windows.patch
Patch53:        zabbix-fix_flickerfreescreen.patch
#Patch54:        zabbix-add_missing_socket_closing.patch
Patch55:        zabbix-fix_memory_leak_in_trendcache.patch
Patch56:        zabbix-fix_eventlog.c_variable_type.patch
Patch57:        zabbix-fixing_crash_if_MYSQL_connection_object_initialization_failed.patch
Patch58:        zabbix-fixing_Windows_eventlog_incorrectly_interpreting_0x00000103.patch
Patch59:        zabbix-parent_process_force_execute_sync.patch
Patch60:        zabbix-update_TLSv1.patch
Patch61:        zabbix-fix_delta_type_of_templated_items.patch
Patch62:        zabbix-memalloc_free_size_calclation_correction.patch
Patch63:        zabbix-handle_not_monitored_hosts_for_maintenance.patch
Patch64:        zabbix-fix_variable_type_for_eventlog.patch
Patch65:        zabbix-fix_agent_port_was_taken_by_system_user.patch
Patch66:        zabbix-fix_event_filter.patch
Patch67:        zabbix-fix_zbx_execute_crash_by_sigpipe.patch

###################################################################################
# COMMON PATCH LIST END (DO NOT DELETE)
###################################################################################

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %is_ML5 || %is_ML6 || %is_ML7
%if %is_mysql
BuildRequires:   mysql-devel
%endif
%if %is_pgsql
BuildRequires:   postgresql-devel
%endif
BuildRequires:   net-snmp-devel
BuildRequires:   openldap-devel
BuildRequires:   gnutls-devel
BuildRequires:   iksemel-devel
BuildRequires:   unixODBC-devel
BuildRequires:   libssh2-devel >= 1.0.0
BuildRequires:   gettext

%if %is_ML5
BuildRequires:   curl-devel >= 7.13.1
BuildRequires:   OpenIPMI-devel >= 2.0.14
%endif
%if %is_ML6 || %is_ML7
BuildRequires:   java-1.6.0-openjdk-devel >= 1.6.0
BuildRequires:   libcurl-devel >= 7.13.1
BuildRequires:   OpenIPMI-devel >= 2.0.14
%endif
%endif
%if %is_ML7
BuildRequires:   systemd-units
%endif

Requires:        logrotate
Requires(pre):   /usr/sbin/useradd

%description
MIRACLE ZBX is software that monitors numerous parameters of a
network and the health and integrity of servers. MIRACLE ZBX
uses a flexible notification mechanism that allows users
to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. MIRACLE ZBX
offers excellent reporting and data visualisation features
based on the stored data. This makes MIRACLE ZBX ideal for
capacity planning.

MIRACLE ZBX supports both polling and trapping. All MIRACLE ZBX
reports and statistics, as well as configuration
parameters are accessed through a web-based front end. A
web-based front end ensures that the status of your network
and the health of your servers can be assessed from any
location. Properly configured, MIRACLE ZBX can play an important
role in monitoring IT infrastructure. This is equally true
for small organisations with a few servers and for large
companies with a multitude of servers.

%if %is_ML5 || %is_ML6 || %is_ML7
%package server
Summary:         MIRACLE ZBX server common files
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
Requires:        zabbix-server-implementation = %{version}-%{release}
Requires:        fping
Requires:        iksemel
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Conflicts:       zabbix-proxy
%if %is_ML7
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
%else
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif

%description server
MIRACLE ZBX server common files

%if %is_mysql
%package server-mysql
Summary:         MIRACLE ZBX server compiled to use MySQL
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
Requires:        zabbix-server = %{version}-%{release}
Requires:        mysql
Provides:        zabbix-server-implementation = %{version}-%{release}
Obsoletes:       zabbix <= 1.5.3-0.1
Conflicts:       zabbix-server-pgsql
%if %is_ML7
Requires:       systemd >= 219-3
%endif

%description server-mysql
MIRACLE ZBX server compiled to use MySQL
%endif

%if %is_pgsql
%package server-pgsql
Summary:         MIRACLE ZBX server compiled to use PostgresSQL
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
Requires:        zabbix-server = %{version}-%{release}
Requires:        postgresql
Provides:        zabbix-server-implementation = %{version}-%{release}
Conflicts:       zabbix-server-mysql
%if %is_ML7
Requires:       systemd >= 219-3
%endif

%description server-pgsql
MIRACLE ZBX server compiled to use PostgresSQL
%endif
%endif

%package agent
Summary:         MIRACLE ZBX Agent
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
%if %is_ML7
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Requires:       systemd >= 219-3
%else
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif

%description agent
The MIRACLE ZBX client agent, to be installed on monitored systems.

%if %is_ML5 || %is_ML6 || %is_ML7
%package proxy
Summary:         MIRACLE ZBX Proxy
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
Requires:        zabbix-proxy-implementation = %{version}-%{release}
Requires:        fping
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Conflicts:       zabbix-web
Conflicts:       zabbix-server
%if %is_ML7
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
%else
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif

%description proxy
The MIRACLE ZBX proxy

%if %is_mysql
%package proxy-mysql
Summary:         MIRACLE ZBX proxy compiled to use MySQL
Group:           Applications/Internet
Requires:        zabbix-proxy = %{version}-%{release}
Requires:        mysql
Provides:        zabbix-proxy-implementation = %{version}-%{release}
Conflicts:       zabbix-proxy-pgsql
%if %is_ML7
Requires:       systemd >= 219-3
%endif

%description proxy-mysql
The MIRACLE ZBX proxy compiled to use MySQL
%endif

%if %is_pgsql
%package proxy-pgsql
Summary:         MIRACLE ZBX proxy compiled to use PostgreSQL
Group:           Applications/Internet
Requires:        zabbix-proxy = %{version}-%{release}
Requires:        postgresql
Provides:        zabbix-proxy-implementation = %{version}-%{release}
Conflicts:       zabbix-proxy-mysql
%if %is_ML7
Requires:       systemd >= 219-3
%endif

%description proxy-pgsql
The MIRACLE ZBX proxy compiled to use PostgreSQL
%endif

%package web
Summary:         MIRACLE ZBX Web Frontend
Group:           Applications/Internet
Requires:        httpd
Requires:        php >= 5.0
Requires:        php-gd
Requires:        php-mbstring
Requires:        php-xml
Requires:        zabbix = %{version}-%{release}
Requires:        zabbix-web-database = %{version}-%{release}
Requires:        php-bcmath
Conflicts:       zabbix-proxy

%description web
The php frontend to display the MIRACLE ZBX web interface.

%if %is_mysql
%package web-mysql
Summary:         MIRACLE ZBX web frontend for MySQL
Group:           Applications/Internet
Requires:        zabbix-web = %{version}-%{release}
Requires:        php-mysql
Provides:        zabbix-web-database = %{version}-%{release}
Obsoletes:       zabbix-web <= 1.5.3-0.1
Conflicts:       zabbix-web-pgsql

%description web-mysql
MIRACLE ZBX web frontend for MySQL
%endif

%if %is_pgsql
%package web-pgsql
Summary:         MIRACLE ZBX web frontend for PostgreSQL
Group:           Applications/Internet
Requires:        zabbix-web = %{version}-%{release}
Requires:        php-pgsql
Provides:        zabbix-web-database = %{version}-%{release}
Conflicts:       zabbix-web-mysql

%description web-pgsql
MIRACLE ZBX web frontend for PostgreSQL
%endif

%package java-gateway
Summary:         MIRACLE ZBX Java Gateway files
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
%if %is_ML6 || %is_ML7
Requires:        java >= 1.6.0
%endif
%if %is_ML7
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Requires:       systemd >= 219-3
%else
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig
Requires(preun):/sbin/service
%endif

%description java-gateway
MIRACLE ZBX Java Gateway files
%endif

###################################################################################
# COMMON PATCHING START (DO NOT DELETE)
###################################################################################
%prep
%setup0 -q -a 10
%patch1 -p1 -b .datasql.orig
#%patch2 -p1 -b .powered_by_miracle.orig
%patch3 -p1 -b .graph_font.orig
%patch4 -p1 -b .setup_from_empty_conf.orig
%patch5 -p1 -b .support_new_windows_eventlog_system.orig
%patch6 -p1 -b .fix_for_aix61.orig
%patch7 -p1 -b .windows_build.orig
%patch8 -p1 -b .reload_config.orig
%patch9 -p1 -b .fix_item_not_supported.orig
%patch10 -p1 -b .fix_cflags.orig
#%patch11 -p1 -b .fix_odbc_structure.orig
%patch12 -p1 -b .add_event_filter.orig
%patch13 -p1 -b .fix_java_gateway_pid.orig
#%patch14 -p1 -b .show_history_in_event.orig
#%patch15 -p1 -b .fix_sigbus_crash.orig
%patch16 -p1 -b .fix_java_gateway_log.orig
#%patch17 -p1 -b .fix_evaluate_STR_LOGEVENTID_memory_leak.orig
#%patch18 -p1 -b .dnsapi.orig
#%patch19 -p1 -b .hpux_compat.orig
%patch20 -p1 -b .affect_snmp_timeout.orig
%patch21 -p1 -b .evalfunc_nodata_for_lastclock_zero.orig
%patch22 -p1 -b .fix_some_log.orig
#%patch23 -p1 -b .proxy_transaction_num_check.orig
%patch24 -p1 -b .ML-copyright-replacement.orig
%patch25 -p1 -b .host-import.orig
%patch26 -p1 -b .hpux_compat.orig
%patch27 -p1 -b .long_telnet_command_fix.orig
%patch28 -p1 -b .avoid_proxy_stopping.orig
#%patch29 -p1 -b .fix_eventlog_message_logic.orig
%patch30 -p1 -b .force_redirect_std.orig
%patch31 -p1 -b .add_eventlog6_key.orig
#%patch32 -p1 -b .fix_sql_injection_ZBX7091.orig
%patch33 -p1 -b .add_graph_csv_output.orig
#%patch34 -p1 -b .fix_updating_data_in_proxy_ZBX6929.orig
%patch35 -p1 -b .add_csv_output_for_history.orig
#%patch36 -p1 -b .fix_it_translation.orig
%patch37 -p1 -b .add_macro_ITEM.VALUE.orig
%patch38 -p1 -b .fix_event_show_history.orig
%patch39 -p1 -b .windows-copyright.orig
%patch40 -p1 -b .redirect_std_non_exit.orig
%patch41 -p1 -b .add_opt_proxy_get_data_retries.orig
%patch42 -p1 -b .fix_format_message_crash.orig
%patch43 -p1 -b .add_eventlog_ext.orig
%patch44 -p1 -b .fix_xml_import_secure.orig
%patch45 -p1 -b .fix_eventlog_message_logic.orig
#%patch46 -p1 -b .fix_command_injection.orig
%patch47 -p1 -b .fix_sending_recovery_mail.orig
%patch48 -p1 -b .leak_memory_on_incorrect_regex.orig
#%patch49 -p1 -b .fix_missing_array_filter_keys_function.orig
%patch50 -p1 -b .unsupport_long_item_key.orig
%patch51 -p1 -b .support_tabulardatasupport_java_type.orig
%patch52 -p1 -b .add-cpu_time-to-proc_info-on-windows.orig
%patch53 -p1 -b .fix_flickerfreescreen.orig
#%patch54 -p1 -b .add_missing_socket_closing.orig
%patch55 -p1 -b .fix_memory_leak_in_trendcache.orig
%patch56 -p1 -b .fix_eventlog.c_variable_type.orig
%patch57 -p1 -b .fixing_crash_if_MYSQL_connection_object_initialization_failed.orig 
%patch58 -p1 -b .zabbix-fixing_Windows_eventlog_incorrectly_interpreting_0x00000103.orig 
%patch59 -p1 -b .zabbix-parent_process_force_execute_sync.orig 
%patch60 -p1 -b .update_TLSv1.orig
%patch61 -p1 -b .zabbix-fix_delta_type_of_templated_items.orig
%patch62 -p1 -b .memalloc_free_size_calclation_correction.orig
%patch63 -p1 -b .handle_not_monitored_hosts_for_maintenance.orig
%patch64 -p1 -b .fix_variable_type_for_eventlog.orig
%patch65 -p1 -b .fix_agent_port_was_taken_by_system_user.orig
%patch66 -p1 -b .fix_event_filter.orig
%patch67 -p1 -b .fix_zbx_execute_crash_by_sigpipe.orig
touch -t 200001010900 configure.in

###################################################################################
# COMMON PATCHING END (DO NOT DELETE)
###################################################################################

rm frontends/php/fonts/DejaVuSans.ttf
find ./upgrades/dbpatches -name '*.orig'|xargs --no-run-if-empty rm -f
cp VLGothic/* frontends/php/fonts/
cp %{SOURCE12} frontends/php/images/general/login/logo.png
cp %{SOURCE12} frontends/php/images/general/setup/logo.png
cp %{SOURCE13} frontends/php/images/general/zabbix.png
cp %{SOURCE14} frontends/php/images/general/zabbix_bb.png
cp %{SOURCE15} frontends/php/images/general/zabbix_od.png
cp %{SOURCE16} frontends/php/images/general/setup/welcome_screen.png

chmod -R a+rX .

# fix up some lib64 issues
%{__perl} -pi.orig -e 's|_LIBDIR=/usr/lib|_LIBDIR=%{_libdir}|g' \
    configure

# replace original version string
%{__perl} -p -i -e \
    "s,^define\('ZABBIX_VERSION'\,		'%{version}',define\('ZABBIX_VERSION'\,		'%{version}-%{src_release}'," \
    frontends/php/include/defines.inc.php
%{__grep} ^define\(\'ZABBIX_VERSION\' frontends/php/include/defines.inc.php | %{__grep} "%{version}-%{src_release}" > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

%{__perl} -p -i -e \
    "s,^	public static final String VERSION = \"%{version},	public static final String VERSION = \"%{version}-%{src_release}," \
    src/zabbix_java/src/com/zabbix/gateway/GeneralInformation.java
%{__grep} "^	public static final String VERSION = \"%{version}-%{src_release}\"" src/zabbix_java/src/com/zabbix/gateway/GeneralInformation.java > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

%{__perl} -p -i -e \
    "s,^#define ZABBIX_VERSION_RC	\"\",#define ZABBIX_VERSION_RC	\"-%{src_release}\"," \
    include/version.h
%{__grep} "^#define ZABBIX_VERSION_RC	\"-%{src_release}\"" include/version.h > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi


%build

%if %is_ML3 || %is_ML4
common_flags=" 
    --enable-agent \
    --enable-ipv6
"

%configure $common_flags
make %{?_smp_mflags}

%else
common_flags=" 
    --enable-dependency-tracking \
    --sysconfdir=/etc/zabbix \
    --enable-server \
    --enable-agent \
    --enable-proxy \
    --enable-ipv6 \
    --enable-java \
    --with-net-snmp \
    --with-ldap \
    --with-unixodbc \
    --with-ssh2 \
%if %is_ML5 || %is_ML6 || %is_ML7
    --with-openipmi \
    --with-libcurl \
%endif
    --with-jabber \
"

%if %is_mysql
%configure $common_flags --with-mysql
make %{?_smp_mflags}
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_mysql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_mysql
%endif

%if %is_pgsql
%configure $common_flags --with-postgresql
make %{?_smp_mflags}
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_pgsql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_pgsql
%endif

make gettext

touch src/zabbix_server/zabbix_server
touch src/zabbix_proxy/zabbix_proxy
%endif

%install
rm -rf $RPM_BUILD_ROOT
# set up some required directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/alertscripts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/externalscripts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_agentd.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}
%if %is_ML7
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}/zabbix-server.service.d
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}/zabbix-proxy.service.d
    mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d
%else
    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
%endif

%if %is_ML5 || %is_ML6 || %is_ML7
# php frontend
find ./frontends/php -name '*.orig'|xargs --no-run-if-empty rm -f
find ./database -name '*.orig'|xargs --no-run-if-empty rm -f
cp -a frontends/php $RPM_BUILD_ROOT%{_datadir}/%{name}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/maintenance.inc.php \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
ln -s ../../../..%{_sysconfdir}/%{name}/maintenance.inc.php \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/maintenance.inc.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix.conf.php
ln -s ../../../..%{_sysconfdir}/%{name}/zabbix.conf.php \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/zabbix.conf.php
# kill off .htaccess files, options set in SOURCE1
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/include/.htaccess
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/include/classes/.htaccess
# drop config files in place
#install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/zabbix.conf
cat %{SOURCE1} | sed 's/^/#/' > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
install -m 0644 -p conf/zabbix_agent.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 0644 -p %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_agentd.conf
%if %is_ML5 || %is_ML6 || %is_ML7
install -m 0644 -p %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_server.conf
install -m 0644 -p %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_proxy.conf
%endif
# log rotation
cat %{SOURCE5} | sed -e 's|COMPONENT|agentd|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
%if %is_ML5 || %is_ML6 || %is_ML7
cat %{SOURCE5} | sed -e 's|COMPONENT|server|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
cat %{SOURCE5} | sed -e 's|COMPONENT|proxy|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy
%endif
# init scripts
%if %is_ML7
    install -m 0644 -p %{SOURCE18} $RPM_BUILD_ROOT%{_unitdir}/zabbix-agentd.service
    install -m 0644 -p %{SOURCE22} $RPM_BUILD_ROOT%{_unitdir}/zabbix-server.service.d/After-mysqld-service.conf
    install -m 0644 -p %{SOURCE23} $RPM_BUILD_ROOT%{_unitdir}/zabbix-server.service.d/After-postgresql-service.conf
    install -m 0644 -p %{SOURCE22} $RPM_BUILD_ROOT%{_unitdir}/zabbix-proxy.service.d/After-mysqld-service.conf
    install -m 0644 -p %{SOURCE23} $RPM_BUILD_ROOT%{_unitdir}/zabbix-proxy.service.d/After-postgresql-service.conf
    # Compatibility with old name
    ln -sf %{_unitdir}/zabbix-agentd.service $RPM_BUILD_ROOT%{_unitdir}/zabbix-agent.service
    # For /run/zabbix setting
    install -m 0644 -p %{SOURCE24} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix.conf
%else
    install -m 0755 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-agent
%endif

%if %is_ML7
    install -m 0644 -p %{SOURCE20} $RPM_BUILD_ROOT%{_unitdir}/zabbix-server.service
    install -m 0644 -p %{SOURCE21} $RPM_BUILD_ROOT%{_unitdir}/zabbix-proxy.service
    install -m 0644 -p %{SOURCE19} $RPM_BUILD_ROOT%{_unitdir}/zabbix-java-gateway.service

%else
%if %is_ML5 || %is_ML6
install -m 0755 -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-server
install -m 0755 -p %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-proxy
install -m 0755 -p %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-java-gateway
%endif
%endif

# set up config dir

# install
make DESTDIR=$RPM_BUILD_ROOT install
%if %is_ML5 || %is_ML6 || %is_ML7
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_server
install -m 0755 -p src/zabbix_server/zabbix_server_* $RPM_BUILD_ROOT%{_sbindir}/
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_proxy
install -m 0755 -p src/zabbix_proxy/zabbix_proxy_* $RPM_BUILD_ROOT%{_sbindir}/

# java gateway
mv $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/settings.sh \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_java_settings.sh
ln -s ../../../..%{_sysconfdir}/%{name}/zabbix_java_settings.sh \
    $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/settings.sh
%endif

# nuke static libs and empty oracle upgrade sql
rm -rf $RPM_BUILD_ROOT%{_libdir}/libzbx*.a
# nuke extraneous sql files
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/create

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add the "zabbix" user
/usr/sbin/useradd -c "Zabbix Monitoring System" \
        -s /sbin/nologin -r -d %{_localstatedir}/lib/%{name} -m zabbix 2> /dev/null || :

%if %is_ML5 || %is_ML6 || %is_ML7
%post server
%if %is_ML7
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-server || :
%endif

%if %is_mysql
%post server-mysql
%if %is_ML7
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_server \
    zabbix-server %{_sbindir}/zabbix_server_mysql 10 \
%else
if [ $1 -eq 1 ]; then
    if [ ! -f %{_sbindir}/zabbix_server ]; then
	cd %{_sbindir}
	ln -s zabbix_server_mysql zabbix_server || :
    fi
fi
%endif
%endif

%if %is_pgsql
%post server-pgsql
%if %is_ML7
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_server \
    zabbix-server %{_sbindir}/zabbix_server_pgsql 10 \
%else
if [ $1 -eq 1 ]; then
    if [ ! -f %{_sbindir}/zabbix_server ]; then
	cd %{_sbindir}
	ln -s zabbix_server_pgsql zabbix_server || :
    fi
fi
%endif
%endif

%post proxy
%if %is_ML7
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-proxy || :
%endif

%if %is_mysql
%post proxy-mysql
%if %is_ML7
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_proxy \
    zabbix-proxy %{_sbindir}/zabbix_proxy_mysql 10 \
%else
if [ $1 -eq 1 ]; then
    if [ ! -f %{_sbindir}/zabbix_proxy ]; then
	cd %{_sbindir}
	ln -s zabbix_proxy_mysql zabbix_proxy || :
    fi
fi
%endif
%endif

%if %is_pgsql
%post proxy-pgsql
%if %is_ML7
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_proxy \
    zabbix-proxy %{_sbindir}/zabbix_proxy_pgsql 10 \
%else
if [ $1 -eq 1 ]; then
    if [ ! -f %{_sbindir}/zabbix_proxy ]; then
	cd %{_sbindir}
	ln -s zabbix_proxy_pgsql zabbix_proxy || :
    fi
fi
%endif
%endif

%post java-gateway
%if %is_ML7
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-java-gateway || :
%endif
%endif

%post agent
%if %is_ML7
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-agent || :
%endif

%if %is_ML5 || %is_ML6 || %is_ML7
%preun server
if [ $1 -eq 0 ]
then
%if ! %is_ML7
  /sbin/service zabbix-server stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-server
%endif
:
fi

%if %is_mysql
%preun server-mysql
if [ $1 -eq 0 ]; then
%if %is_ML7
    /bin/systemctl --no-reload disable zabbix-server.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-server.service > /dev/null 2>&1 || :
    /usr/sbin/update-alternatives --remove zabbix-server %{_sbindir}/zabbix_server_mysql
%endif
    if [ -L %{_sbindir}/zabbix_server ]; then
    rm -f %{_sbindir}/zabbix_server || :
    fi
fi
%endif

%if %is_pgsql
%preun server-pgsql
if [ $1 -eq 0 ]; then
%if %is_ML7
    /bin/systemctl --no-reload disable zabbix-server.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-server.service > /dev/null 2>&1 || :
    /usr/sbin/update-alternatives --remove zabbix-server %{_sbindir}/zabbix_server_pgsql
%endif
    if [ -L %{_sbindir}/zabbix_server ]; then
    rm -f %{_sbindir}/zabbix_server || :
    fi
fi
%endif

%preun proxy
if [ $1 -eq 0 ]
then
%if ! %is_ML7
  /sbin/service zabbix-proxy stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-proxy
%endif
:
fi

%if %is_mysql
%preun proxy-mysql 
if [ $1 -eq 0 ]; then
%if %is_ML7
    /bin/systemctl --no-reload disable zabbix-proxy.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-proxy.service > /dev/null 2>&1 || :
    /usr/sbin/update-alternatives --remove zabbix-proxy %{_sbindir}/zabbix_proxy_mysql
%endif
    if [ -L %{_sbindir}/zabbix_proxy ]; then
    rm -f %{_sbindir}/zabbix_proxy || :
    fi
fi
%endif

%if %is_pgsql
%preun proxy-pgsql
if [ $1 -eq 0 ]; then
%if %is_ML7
    /bin/systemctl --no-reload disable zabbix-proxy.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-proxy.service > /dev/null 2>&1 || :
    /usr/sbin/update-alternatives --remove zabbix-proxy %{_sbindir}/zabbix_proxy_pgsql
%endif
    if [ -L %{_sbindir}/zabbix_proxy ]; then
    rm -f %{_sbindir}/zabbix_proxy || :
    fi
fi
%endif

%preun java-gateway
if [ $1 -eq 0 ]
then
%if %is_ML7
  /bin/systemctl --no-reload disable zabbix-java-gateway.service > /dev/null 2>&1 || :
  /bin/systemctl stop zabbix-java-gateway.service > /dev/null 2>&1 || :
%else
  /sbin/service zabbix-java-gateway stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-java-gateway
%endif
fi
%endif

%preun agent
if [ $1 -eq 0 ]
then
%if %is_ML7
  /bin/systemctl --no-reload disable zabbix-agentd.service > /dev/null 2>&1 || :
  /bin/systemctl stop zabbix-agentd.service > /dev/null 2>&1 || :
%else
  /sbin/service zabbix-agent stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-agent
%endif
fi

%if %is_ML5 || %is_ML6 || %is_ML7
%postun server
%if %is_ML7
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
%endif
if [ $1 -gt 1 ]; then
%if %is_ML7
  /bin/systemctl try-restart zabbix-server.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-server condrestart >/dev/null 2>&1 || :
%endif
fi

%postun proxy
%if %is_ML7
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
%endif
if [ $1 -gt 1 ]; then
%if %is_ML7
  /bin/systemctl try-restart zabbix-proxy.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-proxy condrestart >/dev/null 2>&1 || :
%endif
fi

%postun java-gateway
%if %is_ML7
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
%endif
if [ $1 -gt 1 ]; then
%if %is_ML7
  /bin/systemctl try-restart zabbix-java-gateway.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-java-gateway condrestart >/dev/null 2>&1 || :
%endif
fi
%endif

%postun agent
%if %is_ML7
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
%endif
if [ $1 -gt 1 ]; then
%if %is_ML7
  /bin/systemctl try-restart zabbix-agentd.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-agent condrestart >/dev/null 2>&1 || :
%endif
fi

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix
%if %is_ML7
%{_prefix}/lib/tmpfiles.d/zabbix.conf
%endif

%files agent
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc conf/zabbix_agentd/*
%{_mandir}/man8/zabbix_agentd.8.*
%{_mandir}/man1/zabbix_get.1.*
%{_mandir}/man1/zabbix_sender.1.*
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_agent.conf
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_agentd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-agent
%dir %{_sysconfdir}/zabbix/zabbix_agentd.d
%if %is_ML7
%{_unitdir}/zabbix-agent.service
%{_unitdir}/zabbix-agentd.service
%else
%{_sysconfdir}/init.d/zabbix-agent
%endif
%{_sbindir}/zabbix_agent
%{_sbindir}/zabbix_agentd
%{_bindir}/zabbix_sender
%{_bindir}/zabbix_get

%if %is_ML5 || %is_ML6 || %is_ML7
%files server
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc upgrades/dbpatches
%{_mandir}/man8/zabbix_server.8.*
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
%dir %{_sysconfdir}/zabbix/alertscripts
%dir %{_sysconfdir}/zabbix/externalscripts
%if %is_ML7
%ghost %{_unitdir}/zabbix-server.service
%else
%{_sysconfdir}/init.d/zabbix-server
%endif

%if %is_mysql
%files server-mysql
%doc AUTHORS ChangeLog COPYING NEWS README
%doc database/mysql
%defattr(-,root,root,-)
%{_sbindir}/zabbix_server_mysql
%if %is_ML7
%{_unitdir}/zabbix-server.service
%dir %{_unitdir}/zabbix-server.service.d
%{_unitdir}/zabbix-server.service.d/After-mysqld-service.conf
%endif
%endif

%if %is_pgsql
%files server-pgsql
%doc AUTHORS ChangeLog COPYING NEWS README
%doc database/postgresql
%defattr(-,root,root,-)
%{_sbindir}/zabbix_server_pgsql
%if %is_ML7
%{_unitdir}/zabbix-server.service
%dir %{_unitdir}/zabbix-server.service.d
%{_unitdir}/zabbix-server.service.d/After-postgresql-service.conf
%endif
%endif

%files proxy
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc upgrades/dbpatches
%{_mandir}/man8/zabbix_proxy.8.*
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_proxy.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
%if %is_ML7
%ghost %{_unitdir}/zabbix-proxy.service
%else
%{_sysconfdir}/init.d/zabbix-proxy
%endif

%if %is_mysql
%files proxy-mysql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc database/mysql/schema.sql
%{_sbindir}/zabbix_proxy_mysql
%if %is_ML7
%{_unitdir}/zabbix-proxy.service
%dir %{_unitdir}/zabbix-proxy.service.d
%{_unitdir}/zabbix-proxy.service.d/After-mysqld-service.conf
%endif
%endif

%if %is_pgsql
%files proxy-pgsql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc database/postgresql/schema.sql
%{_sbindir}/zabbix_proxy_pgsql
%if %is_ML7
%{_unitdir}/zabbix-proxy.service
%dir %{_unitdir}/zabbix-proxy.service.d
%{_unitdir}/zabbix-proxy.service.d/After-postgresql-service.conf
%endif
%endif

%files web
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %attr(600,apache,apache) %{_sysconfdir}/zabbix/zabbix.conf.php
%config(noreplace) %{_sysconfdir}/zabbix/maintenance.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/zabbix.conf
%{_datadir}/zabbix

%if %is_mysql
%files web-mysql
%defattr(-,root,root,-)
%endif

%if %is_pgsql
%files web-pgsql
%defattr(-,root,root,-)
%endif

%files java-gateway
%defattr(-,root,root,-)
%dir %{_sbindir}/zabbix_java
%dir %{_sbindir}/zabbix_java/bin
%dir %{_sbindir}/zabbix_java/lib
%config(noreplace) %{_sbindir}/zabbix_java/lib/logback-console.xml
%config(noreplace) %{_sbindir}/zabbix_java/lib/logback.xml
%config(noreplace) %attr(700,zabbix,zabbix) %{_sysconfdir}/%{name}/zabbix_java_settings.sh
%config(noreplace) %attr(700,zabbix,zabbix) %{_sbindir}/zabbix_java/startup.sh
%config(noreplace) %attr(700,zabbix,zabbix) %{_sbindir}/zabbix_java/shutdown.sh
%attr(700,zabbix,zabbix) %{_sbindir}/zabbix_java/bin/zabbix-java-gateway-%{version}.jar
%{_sbindir}/zabbix_java/lib/logback-classic-0.9.27.jar
%{_sbindir}/zabbix_java/lib/logback-core-0.9.27.jar
%{_sbindir}/zabbix_java/lib/android-json-4.3_r3.1.jar
%{_sbindir}/zabbix_java/lib/slf4j-api-1.6.1.jar
%{_sbindir}/zabbix_java/settings.sh
%if %is_ML7
%{_unitdir}/zabbix-java-gateway.service
%else
%{_sysconfdir}/init.d/zabbix-java-gateway
%endif
%endif

###################################################################################
# COMMON CHANGELOG START (DO NOT DELETE)
###################################################################################
%changelog
* Wed Jan 11 2017 Daiki Hamamoto <daiki.hamamoto@miraclelinux.com> - 2.0.20-1%{?dist}
- Update the base zabbix to version 2.0.20
- Change application name and icon for Windows agent installer [RCN:13661]
- Fix incorrect comment for PidFile in AIX zabbix_agentd.conf [RCN:13567]

* Mon Oct 10 2016 Andrew Thai <andrew.thai@miraclelinux.com> - 2.0.19-1%{?dist}
- Update the base zabbix to version 2.0.19
- Add zabbix-fix_event_filter.patch [RCN:13474]
- Add zabbix-fix_zbx_execute_crash_by_sigpipe.patch for fixing server side custom script and global script crashing in action, which have stdout output and using other than MySQL and MariaDB as DB [RCN:13617]
- Add syncspec.sh [RCN:13411]
- Add Makefile to MIRACLE ZBX repository for getting rpm or source easier in development [RCN:11509]

* Thu Sep 29 2016 Andrew Thai <andrew.thai@miraclelinux.com> - 2.0.18-1%{?dist}
- Add zabbix-update_TLSv1.patch [RCN:12489]
- Remove 'jdk' dependency for ML5 [RCN:12532]
- Update zabbix-force_redirect_std.patch for force log rotation code to output log to correct log file (Patch30)[RCN:12349]
- Update zabbix-redirect_std_non_exit.patch for change define redirect_std(filename) 0 -> SUCCEED (Patch40)[RCN:12349]
- Update "KillMode=mixed" in zabbix-agentd.service, zabbix-java-gateway.service, zabbix-proxy.service, zabbix-server.service
- Add zabbix-fix_delta_type_of_templated_items.patch [RCN:12329]
- Add shared memory code 'memalloc.c' has 2 critical bugs. [RCN:13390]
- Add Makefile to MIRACLE ZBX repository for getting rpm or source easier in development [RCN:11059]
- Remove non agent relative description from aix/zabbix.spec [RCN:13419]
- Add zabbix-handle_not_monitored_hosts_for_maintenance.patch to fix Timer processes do not handle the not monitored host for maintenance (Patch63) [RCN:13229]
- Add zabbix-fix_variable_type_for_eventlog.patch [RCN:11754]
- Add zabbix-fix_agent_port_was_taken_by_system_user.patch [RCN:12322]

* Wed Nov 25 2015 Sang Thanh <sang.buithanh@miraclelinux.com> - 2.0.16-1%{?dist}
- Update the base zabbix to version 2.0.16
- Update 'mysql.service' to 'mariadb.service' in "After-mysqld-service.conf" file 
- Update the building script on Solaris 11 for [RCN:12058]
- Update zabbix-server.init for [RCN:12107]
- Add zabbix-parent_process_force_execute_sync.patch [RCN:12087]

* Fri Sep 11 2015 Ha Vo <ha.vo@miraclelinux.com> - 2.0.15-1%{dist}
- Update base zabbix version to 2.0.15
- Update zabbix-2.0.12-windows-copyright.patch to fix windows copyright in binary file (Patch39)[RCN:9592]
- Remove zabbix-2.0.13-fix_command_injection.patch to fix command injection vulnerability (Patch46)[RCN:10811]
- Remove zabbix-2.0.14-fix_missing_array_filter_keys_function.patch
- Update zabbix-2.0.14-redirect_std_non_exit.patch for update configure file with autoconf 2.61 (Patch) [RCN:10123]
- Remove zabbix-2.0.14-add_missing_socket_closing.patch to add missing socket closing to avoid large number of opened sockets (Patch54)[RCN:11310]
- Add zabbix-fix_eventlog.c_variable_type.patch to fix variable type when zabbix agent use incorrect type (Patch56)[RCN:11754]
- Add zabbix-fixing_crash_if_MYSQL_connection_object_initialization_failed.patch to check for mysql connection returning NULL (Patch57)[RCN:11891]  
- Add zabbix-fixing_Windows_eventlog_incorrectly_interpreting_0x00000103.patch to fix eventlog6 reading (Patch58)[RCN:11907]
- Rename all patch filenames as without version string [RCN:11855]

* Mon May 04 2015 Sang Thanh <sang.buithanh@miraclelinux.com> - 2.0.14-2%{?dist}
- Update spec file for fixing some indentation problems [RCN:11294]
- Update spec file for removing *.orig files in rpm package [RCN:11295]
- Add zabbix-2.0.14-unsupport_long_item_key.patch to fix command failed when the length item key greater than MAX_STRING_LEN (Patch50)[RCN:11249]
- Add zabbix-2.0.14-support_tabulardatasupport_java_type.patch to support data object type "javax.management.openmbean.TabularDataSupport" (Patch51)[RCN:11327]
- Add zabbix-2.0.14-add-cpu_time-to-proc_info-on-windows.patch to add a new parameter atime for proc_info key (Patch52)[RCN:11018]
- Add zabbix-2.0.14-fix_flickerfreescreen.patch to fix CSV output extension for graph data destroys web monitoring's "response time" graph function (Patch53)[RCN:11256]
- Add zabbix-2.0.14-add_missing_socket_closing.patch to add missing socket closing to avoid large number of opened sockets (Patch54)[RCN:11310]
- Add zabbix-2.0.14-fix_memory_leak_in_trendcache.patch (Patch55)[RCN:11396]

* Mon Jan 12 2015 Sang Thanh <sang.buithanh@miraclelinux.com> - 2.0.14-1%{?dist}
- Update the base zabbix to version 2.0.14
- Update zabbix-2.0.14-redirect_std_non_exit.patch for update configure file with autoconf 2.61 (Patch40)[RCN:10123]
- Add zabbix-2.0.14-fix_sending_recovery_mail.patch for fixing recovery msg is sent in maintenance period (Patch47)[RCN:10550]
- Update specfile to add BuildRequires gettext package [RCN:11015]
- Add zabbix-2.0.14-leak_memory_on_incorrect_regex.patch for fixing zabbix agent leak memory on incorrect regular expression (Patch48)[RCN:10616]
- Make rpm package for ML7, RHEL7, CentOS7 [RCN:10644]
- Add zabbix-2.0.14-fix_missing_array_filter_keys_function for fixing missing array_filter_keys() function

* Wed Oct 15 2014 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.0.13-1%{?dist}
- Update base zabbix version to 2.0.13
- Update Patch42 for new version 2.0.13 (Patch42)[RCN:10269]
- Update Patch44 for checking support libxml_disable_entity_loader function in php (Patch44)[RCN:10462]
- Update Patch5, Patch7, Patch31,Patch43 and comment out Patch18 for fixing redefine _WIN32_WINNT in include/symbols.h file [RCN:10845]
- Update specfile to change package name rule [RCN:10766]
- Update specfile to change the file included in java-gateway binary from org-json-2010-12-28.jar to android-json-4.3_r3.1.jar
- Add patch for Fixing command injection vulnerability (Patch46)[RCN:10811]

* Mon Sep 29 2014 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.0.12-2%{?dist}
- All "eventlog6" key related sql for "help_items" is moved from "zabbix-2.0.12-add_eventlog_ext.patch" to "zabbix-2.0.12-add_eventlog6_key.patch"
- Update zabbix-2.0.12-add_eventlog_ext.patch for fixing lacks some columns in history screen [RCN:9652]

* Wed Jul 02 2014 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.0.12-1%{?dist}
- Update base zabbix version to 2.0.12
- Update Patch5 for new version 2.0.12 (Patch5)[RCN:9594]
- Update Patch8 for new version 2.0.12 (Patch8)
- Update Patch31 for new version 2.0.12 (Patch31)[RCN:9594]
- Update Patch39 for new version 2.0.12 (Patch39)[RCN:9592]
- Remove Patch36 because it has already fixed in version 2.0.12 (Patch36)
- Add forgotten changelog for version 2.0.10-2 [RCN:10109]
- Add patch for fixing infinite loop in ZBX proxy (Patch41)[RCN:10140]
- Update Patch30 for fixing alerter still outputing log to old log file (Patch30)[RCN:10089]
- Update Patch22 for fixing zabbix-agent to generate correct log (Patch22)[RCN:10018]
- Update Patch1 for PostgreSQL + ZBX to show Japanese interface as default (Patch1)[RCN:10268]
- Update Patch33 for reducing graph data CSV output link to only "CSV" (Patch33)[RCN:10019]
- Add patch for fixing FormatMessage() crash (Patch42)[RCN:10269]
- Add patch and update required version of php for fixing xml import more secure (Patch44)[RCN:10462][ZBX-8151]
- Update Patch40 for fixing build error in Solaris (Patch40)[RCN:10123]
- Add patch for Adding "eventlog_ext[]" to extentional eventlog matching (Patch43)[RCN:9652]
- Update patch29 for fixing parameter message windows eventlogs in API EventLog version 5.0 (Patch45)[RCN:9697]

* Fri May 16 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.10-3%{?dist}
- Add zabbix-2.0.10-redirect_std_non_exit.patch for fixing redirect_std can exit() in log rotation (Patch40)[RCN:10123]

* Mon Mar 10 2014 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.10-2%{?dist}
- Add {ITEM.TYPE} macro to show "NUMBER" or "TEXT" zabbix-2.0.10_add_macro_ITEM.VALUE.patch (Patch37)[RCN:9913]
- Fix mysql query error in event page and merged with Patch14 (Patch38)[RCN:8776]
- Fix hp-ux condition compatibility (Patch26)[RCN:9300]
- Fix windows copyright in binary file (Patch39)[RCN:9592]
- Fix redirect in zabbix-server.init [RCN:10014]
- Removed "php_value mbstring.func_overload 6" from zabbix-web.conf [RCN:9930]
- Removed zabbix-2.0.7-proxy_transaction_num_check.patch because merged upstream (Patch23)[RCN:9872]

* Thu Feb 13 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.10-1a%{?dist}
- Fix postinstall script in HP-UX package
- Update release number embedding logic in spec file

* Mon Dec 02 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.10-1%{?dist}
- updated to 2.0.10
- Removed backporting zabbix-2.0.8-fix_sql_injection_ZBX7091.patch for fix sql injection merged upstream (Patch32)[RCN:9498][ZBX-7091].
- Removed backporting zabbix-2.0.8-fix_updating_data_in_proxy_ZBX6929.patch for fix updating lastlogsize and mtime in proxy (Patch34)[RCN:9463][ZBX-6929].
- Add definition for build postgresql or mysql on spec file [RCN:9666].
- Add new kill process function that check the process during delay time on zabbix-server.init [RCN:9661]
- Add amazon ami version number extractor on spec file for adding it in file name.
- Add CSV botton with history indication (Patch35)[RCN:9700].
- Fix eventlog fallback logic conditional for making message (Patch29)[RCN:9697]. 
- Fix IT translation error (Patch36).

* Thu Oct 31 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-3%{?dist}
- Add skip old data parameter to eventlog6[] (Patch31)[RCN:9594]
- Fix eventlog[] which call free() twice in some specific situation (Patch29)[RCN:9594]
- Fix eventlog[] message (Patch29)(Patch5)[RCN:9594]

* Fri Oct 04 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-2%{?dist}
- Update for avoiding init script failure if /etc/zabbix/init/ doesn't have any file [RCN:9071]
- Add backporting patch zabbix-2.0.8-fix_sql_injection_ZBX7091.patch for fix sql injection (ZBX-7091)(Patch32)[RCN:9498]
- Add zabbix-2.0.8-add_graph_csv_output.patch for adding csv output button for graph (Patch33)[RCN:9427]
- Add backporting zabbix-2.0.8-fix_updating_data_in_proxy_ZBX6929.patch for fix updating lastlogsize and mtime in proxy (Patch34)[RCN:9463]
- Update MIRACLE ZBX version number to web frontend.(Patch24)[RCN:9257]
- Fix lockfile name problem in init script same as init script name [RCN:9526]

* Tue Sep 03 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.8-1%{?dist}
- Update base zabbix version to 2.0.8
- Add zabbix-2.0.8-host-import.patch for fix failed import host importing (Patch25)[RCN:9335]
- Add zabbix-2.0.8-hpux_compat.patch fix hp-ux condition compatibility (Patch26)[RCN:9302]
- Updated zabbix.spec to add MIRACLE ZBX release number to "-V" option and php definition [RCN:9257]
- Updated zabbix.spec to fix zabbix_server.conf permission [RCN:9107]
- Updated init for execute script in /etc/zabbix/init/ [RCN:9071]
- Add zabbix-2.0.8_long_telnet_command_fix.patch for fix unneeded characters error in zabbix telnet (Patch27)[RCN:8657]
- Add zabbix-2.0.8-avoid_proxy_stopping.patch avoid stopping of the Zabbix proxy (Patch28)[RCN:8645]
- Add zabbix-2.0.8-fix_eventlog_message_logic.patch for fix eventlog message logic (Patch29)[RCN:8373]
- Add zabbix-2.0.8-force_redirect_std.patch fix alerter outputs log after is been logrotated (Patch30)[RCN:9359]
- Update zabbix.spec for OS compatibility reason and added %_default_patch_fuzz 2 [RCN:9367][RCN:9364]
- Add patch zabbix-2.0.8-add_eventlog6_key.patch to support eventlog6[] key using always eventing 6.0 API in after Windows 2008 (ZBX-2008)(Patch31)[RCN:7086]
- Update zabbix-2.0.8-ML-copyright-replacement.patch fix zabbix SIA version in the copyright (Patch24)[RCN:9389]
- Update zabbix-2.0.8-fix_some_log.patch add some log message for supplying better support (Patch22)[RCN:8694]

* Tue Aug 06 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.7-1%{?dist}
- update to 2.0.7
- Fix history column in event page (Patch14) [RCN:9276]

* Mon May 20 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.6-1%{?dist}
- update to 2.0.6
- Fix Logo, trademark and copyright (Patch24) [RCN:8720]
- Add some log message for supplying better support (Patch22) [RCN:8694]
- Fix possibility of not sending some data for Proxy Data Sender (Patch23) [RCN:8646]

* Thu Feb 14 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.5-1%{?dist}
- update to 2.0.5
- Updated spec file for compatibilty with Amazon EC2.
- Update fix for add event filter (Patch12).
- Fix support for HP-UX 11i2 and earlier version (Patch19).
- Fix snmp check timeout on zabbix server (Patch20) (ZBX-4393).
- Add if lastclock is zero avoid evaluate nodata (Patch21) (ZBX-6134).

* Tue Dec 12 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.4-1%{?dist}
- Update to 2.0.4
- Removed patch fix sigbus crash in HP-UX and Solaris already merged upstream (Patch15).
- Fix "evaluate_STR()" and "evaluate_LOGEVENTID()" memory leak (Patch17).
- Fix windows 2000 using dinamically load Dnsapi.dll (ZBX-5883)(Patch18).
- Updated spec file for remove .orig from database.

* Tue Oct 30 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.3-1%{?dist}
- Update to 2.0.3
- Fixed to fit new version (Patch2)
- Fixed to fit new version (Patch3)
- Fixed to fit new version (Patch7)
- Fixed to fit new version (Patch8)
- Fixed to fit new version (Patch11)
- Add additional event filter (Patch12)
- Fix java gateway pid (Patch13)
- Add show history column in event page (Patch14)
- Fix sigbus crash in HP-UX and Solaris (Patch15)
- Update zabbix.spec file
- Update zabbix-java-gateway.init to wait zabbix java gateway completely killed.
- Fix java log directory (Patch16)
- Update zabbix.spec file because as write in the Zabbix documentation only scheme.sql is needed on Zabbix proxy packages.
- Updated file zabbix-agent.init.aix fix the right path of the configuration file for Zabbix-agent.
- Added requires conditional in zabbix.spec file for Java Gateway package ML5 jdk ML6 Java.
- Replaced logo.

* Fri Jul 13 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 2.0.1-1%{?dist}
- Update to 2.0.1
- Remove patches for 1.8
- Add patches for 2.0

* Thu Jun 28 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.14-1%{?dist}
- Update to 1.8.14

* Tue May 29 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.13-1%{?dist}
- Update to 1.8.13

* Tue May 8 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.12-1%{?dist}
- Update to 1.8.12
- Fix MAX_DISKDEVICES (ZBXNEXT-801) (Patch44)
- Fix default time period (ZBX-2885) (Patch45)

* Wed Mar 21 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.11-1%{?dist}
- Update to 1.8.11

* Mon Dec 5 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.9-1%{?dist}
- Update to 1.8.9

* Mon Nov 7 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-2%{?dist}
- Fix CFLAGS option (Patch42)
- Fix ODBC structure (Patch43)

* Wed Sep 28 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-1%{?dist}
- Update to 1.8.7
- Add MIRACLE LINUX V6.0 and Red Hat Enterprise Linux 6 support
- Fix server crash (ZBX-4099) (Patch41)

* Thu Aug 26 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-2%{?dist}
- Fix show history in event (Patch40)

* Thu Jul 21 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-1%{?dist}
- Update to 1.8.5
- Fix action mismatch (Patch39)

* Fri Apr 22 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.4-2%{?dist}
- Fix map element dose not work (ZBX-3552) (Patch30)
- Fix map icon created twice (ZBX-3626) (Patch31)
- Fix importing map icon label (ZBX-3682) (Patch32)
- Fix disabled item's triggers are also displayed in 'status of triggers' (ZBX-3576) (Patch33)
- Fix not found style files (ZBX-3649) (Patch34)
- Runtime control of zabbix daemons (ZBXNEXT-416) (Patch35)
- Fix net.tcp.dns to enable selecting nameserver (Patch36)
- Fix template unlink (Patch37)
- Fix item not supported (Patch38)

* Fri Feb 4 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.4-1%{?dist}
- Update to 1.8.4
- Add windows build script (Patch29)

* Tue Feb 1 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-6%{?dist}
- Add MIRACLE LINUX V3.0 and Red Hat Enterprise Linux 3 support

* Mon Jan 24 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-5%{?dist}
- Fix debug message of poller interval option (Patch27)

* Fri Jan 14 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-4%{?dist}
- Add poller interval option (Patch27)
- Add explanation of poller interval option in server and proxy config file
- Add event filter (Patch28)
- Change defines.inc.php as non config file

* Wed Dec 29 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-3%{?dist}
- Change MAX_DISKDEVICES to 128 and refactor (Patch19)
- Enable to send active check to multi server (Patch22)
- Change Patch18 and VisualStudio project files to fit Patch22 (Patch18)
- Fixed possible stop to send data from proxy after shutdown of MySQL server (ZBX-3085) (Patch23)
- Fixed host profiles export (ZBX-2888) (Patch24)
- Fixed Japanese translation (Patch25)
- Fixed not found style files (ZBX-2937) (Patch26)
- Add initial db files for zabbix-proxy package

* Wed Sep 22 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-2%{?dist}
- Fix compile error in AIX 6.1 (Patch21)

* Wed Aug 19 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-1%{?dist}
- Update to 1.8.3
- Remove patches for 1.6
- Add patches for 1.8

* Wed Aug 18 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-7%{?dist}
- Change code not to use seteuid, setegid under HP-UX for HP-UX Version 2 compatibility (Patch48)

* Tue Jul 27 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-6%{?dist}
- Add support for new windows eventlog system backported from ZBX-2008 (Patch46)
- Fix displaying too big eventid in Windows (Patch46)

* Tue Jul 13 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-5%{?dist}
- revert Patch43
- revert ZBX-2062 from original source (Patch47)

* Thu Jul 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-4%{?dist}
- Add optional feature to show eventid in eventlog (Patch45)

* Mon Jun 28 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-3%{?dist}
- Fix not sending alert when receive error log or trap same time (Patch43)
- Add optional feature to show history log in event screen (Patch44)

* Mon Jun 7 2010 Kodai Terashima <terashima@miraclelinux.com> - 1.6.9-2%{?dist}
- Fix log is not collected when long log item key using multibyte string (Patch39)
- Fix enable/disable item action does not work in application screen (Patch40)
- Fix graph view when select over 372 days (Patch41)
- Fix vfs.dev.read vfs.dev.write to get values for partitions in old 2.6 kernel (Patch42)
- Fix vfs.dev.read vfs.dev.write to get sps, ops for partitions (Patch42)
- Fix vfs.dev.read vfs.dev.write to get values for LVM devices (Patch42)

* Thu Apr 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-1%{?dist}
- Update to 1.6.9
- Fix event time setting logic (Patch37)
- Add more event filter option (Patch38)

* Fri Mar 12 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-5%{?dist}
- Fix counting string function in trigger (Patch32)
- Fix label text is not in the right place on map (update Patch9)
- Fix color selection frame is not appeared (Patch34)
- Fix color configuration is not upgraded correctly from 1.4 to 1.6  when use Japanese (Patch35)
- Fix map icon label is not used map default label location setting (Patch33)
- Add extra encoding mode to process lf char code in windows. Merge diff with Patch31 (Patch36)

* Tue Jan 26 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-4%{?dist}
- Fixed stopping log monitoring every 2 minutes when using windows agent with encoding option (Patch31)

* Fri Jan 8 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-3%{?dist}
- disable with-openipmi option when not ML5
- add BuildRequires OpenIPMI-devel

* Thu Jan 7 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-2%{?dist}
- refactored and added multibyte charactor conversion in windows agent(Patch31)
- fixed some typo in spec file and file names

* Wed Jan 6 2010 Kodai Terashima <terashima@miraclelinux.com> 1.6.8-1%{?dist}
- Update graph_description.patch to localize available chart and pie chart (Patch9)
- Merge frontend.patch into graph_description.patch (Patch4, Patch9)
- Add patch to fix problem doesn't show screen (Patch29)
- Add patch to fix show active check data on Latest Data screen (Patch30)
- enable with-openipmi option in configure script
- Update Japanese translation (Source7)

* Mon Nov 16 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.7-2%{?dist}
- Update to 1.6.7
- remove already included patches (Patch10,15,17)

* Fri Nov  6 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.6-1%{?dist}
- Update to 1.6.6
- remove already included patches (Patch10,15,17)
- add logrotated file support (Patch23)
- fix processing of logs and eventlogs which become empty only on the agent side (Patch24)
- fix processing of proc_info[] function (Patch25)
- fix VisualStudio project file (Patch26)
- remove broken character which affects in compiling with VisualStudio (Patch27)
- fix package build environment and recompile packages to fix system.cpu.util function
- fix copyright-year in japanese (source7)
- remove sqlite build process from spec file

* Wed Sep 16 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-6%{?dist}
- fix FormatMessage crash in case of aInsertStrs having more than 64 elements (Patch19)
- add a patch to select Japanese locale by default (Patch 20)
- add a patch to add "Powered by MIRACLE LINUX" on footer (Patch21)
- add a powered_by_miracle logo (Source6)
- add a ja_jp.inc.php and delete locale-ja_jp.patch (Source7, Patch15)
- add script for blocking update zabbix packages by axtu in zabbix.spec
- add php options for Japanese in zabbix-web.conf
- add a patch to allow multibyte trigger expression (Patch22)

* Fri Aug 28 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.4-5%{?dist}
- add system.swap.in and system.swap.out patch for LVM devices and other device-mapper devices (Patch16,17)
- fix diff path in windows patch files to patch '-p1' option (Patch18)

* Mon Aug 17 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-4%{?dist}
- Add a patch for fix crash windows 2000 agent (Patch16,17)

* Thu May 13 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-3%{?dist}
- Update Japanese translation (AXBug#6304, Patch15)
- modify zabbix-1.6.4-trigger_cond_multibyte_param.patch (AXBug#6306)

* Tue Apr  7 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-2%{?dist}
- merge Asianux modifications to the new package which based on 1.4.6-1.1%{?dist}
  - When updating zabbix, restart zabbix-server, zabbix-agent and zabbix-proxy
  - modify zabbix-web.conf not to be able to access zabbix-web page by default
    (AXBug#4525)
  - replace Source1
  - fix the bug that cannot choose Japanese language (Patch3, AXBug#4614)
  - modify date format for Chinese (Patch6) and Korean (Patch14) (AXBug#4801)
  - fix copyright-year in locales file(Patch7)
  - fix minor bugs related to CKJ locales(Patch9,10)
  - allow item/trigger parameter to set multibyte character(Patch11)
  - fix exhausted memory by using DB cursor(Patch12)
  - add converter from SJIS to UTF-8 for Windows Event Log(Patch13)
  - fix locale files to modify version by itself

* Mon Apr 6 2009 Yoshihiro Kagawa <ykagawa@miraclelinux.com> - 1.6.4-1
- Update to 1.6.4

* Fri Jan 23 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-2
- Rebuild for MySQL 5.1.X

* Fri Jan 16 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-1
- Update to 1.6.2: http://www.zabbix.com/rn1.6.2.php

* Thu Dec  4 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Fix BZ#474593 by adding a requires.

* Wed Nov  5 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Update to 1.6.1

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1.1
- Bump release because forgot to add some new files.

* Thu Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1
- Update to final 1.6

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.4.6-2
- Fix license tag.

* Fri Jul 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Mon Jul 07 2008 Dan Horak <dan[at]danny.cz> - 1.4.5-4
- add LSB headers into init scripts
- disable internal log rotation

* Fri May 02 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-3
- Seems the zabbix folks replaced the original 1.4.5 tarball with
  an updated tarball or something -- it actually does contain a
  tiny bit of additional code... So update to newer 1.4.5.

* Tue Apr 08 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-2
- Fix building w/postgresql (#441456)

* Tue Mar 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.5-1
- Update to 1.4.5

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.4-2
- Bump and rebuild with gcc 4.3

* Mon Dec 17 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.4-1
- New upstream release
- Fixes two crasher bugs in 1.4.3 release

* Wed Dec 12 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.3-1
- New upstream release

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.4.2-5
- Rebuild for deps

* Sat Dec 01 2007 Dan Horak <dan[at]danny.cz> 1.4.2-4
- add security fix (#407181)

* Thu Sep 20 2007 Dan Horak <dan[at]danny.cz> 1.4.2-3
- Add a patch to clean a warning during compile
- Add a patch to fix cpu load computations

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-2
- Account for binaries moving from %%_bindir to %%_sbindir

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-1
- New upstream release

* Mon Jul 02 2007 Jarod Wilson <jwilson@redhat.com> 1.4.1-1
- New upstream release

* Fri Jun 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-3
- Install correct sql init files (#244991)
- Add Requires: php-bcmath to zabbix-web (#245767)

* Wed May 30 2007 Jarod Wilson <jwilson@redhat.com> 1.4-2
- Add placeholder zabbix.conf.php

* Tue May 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-1
- New upstream release

* Fri Mar 30 2007 Jarod Wilson <jwilson@redhat.com> 1.1.7-1
- New upstream release

* Wed Feb 07 2007 Jarod Wilson <jwilson@redhat.com> 1.1.6-1
- New upstream release

* Thu Feb 01 2007 Jarod Wilson <jwilson@redhat.com> 1.1.5-1
- New upstream release

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 1.1.4-5
- Add explicit R:php to zabbix-web (#220676)

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-4
- Fix snmp polling buffer overflow (#218065)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-3
- Rebuild for updated libnetsnmp

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-2
- Fix up pt_br
- Add Req-pre on useradd

* Wed Nov 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-1
- Update to 1.1.4

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-3
- Add BR: gnutls-devel, R: net-snmp-libs

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-2
- Fix php-pgsql Requires

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-1
- Update to 1.1.3

* Mon Oct 02 2006 Jarod Wilson <jwilson@redhat.com> 1.1.2-1
- Update to 1.1.2
- Enable alternate building with postgresql support

* Thu Aug 17 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-2
- Yank out Requires: mysql-server
- Add Requires: for php-gd and fping

* Tue Aug 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-1
- Update to 1.1.1
- More macroification
- Fix up zabbix-web Requires:
- Prep for enabling postgres support

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 1.1-2
- Add Requires: on chkconfig and service
- Remove openssl-devel from BR, mysql-devel pulls it in
- Alter scriptlets to match Fedora conventions

* Tue Jul 11 2006 Jarod Wilson <jwilson@redhat.com> 1.1-1
- Initial build for Fedora Extras
